Arch Tuyau

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Pipe and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎日本語

Arch Pipe.svg Arch Tuyau

Emplacement du menu
Arch → Outils tuyauterie → Tuyau
Ateliers
Arch
Raccourci par défaut
P I
Introduit dans la version
0.17
Voir aussi
Arch Connecteur, Arch Equipement


Description

Cet outil vous permet de créer un tube à partir de zéro ou à partir d'objets basés sur (Draft, Sketch, etc..) sélectionnés et contenant un fil et un seul fil ouvert.

Utilisation

  1. Sélectionnez une forme linéaire Part telle qu'une Draft Ligne, un Draft Fil ou une Esquisse ouverte.
  2. Appelez cette commande en utilisant plusieurs méthodes:
    • En appuyant sur le bouton Arch Pipe.svg Arch Tuyau dans la barre d'outils.
    • Appuyez sur le raccourci clavier P puis I.
    • Appuyez sur l'entrée Arch → Outils tuyauterie → Tuyau dans le menu supérieur.

Options

  • Pipes partage les propriétés et comportements communs à tous les composants Arch Composant

Propriétés

  • DonnéesLength: Donne une longueur au tube, s'il n'est pas basé sur un fil (wire).
  • DonnéesDiameter: Le diamètre du tube, s'il n'est pas basé sur un profil
  • DonnéesBase: Le fil est basé seulement sur le tube
  • DonnéesProfile: Le tube est basé sur le profil. S'il n'y a pas de profil, le tube est cylindrique.

Travail typique

  • Commencez le placement des sanitaires hydrauliques (le fichier exemple ci dessous est un fichier step importé). Sélectionnez l'objet et activez l'Arch Equipments en cliquant sur le bouton Arch Equipement.

Arch pipe example 01.jpg

  • Dans Arch Equipments vous avez maintenant une nouvelle propriété SnapPoints qui est une liste de vecteurs 3D. Cela vous permet d'ajouter des points d'accrochage personnalisés, auxquels vous pouvez vous accrocher lorsque le bouton d'accrochage Draft Spécial est activé. Actuellement, cette propriété n'est cependant disponible que pour python. Dans le cas ci-dessus, j'ai ajouté un nouveau point d'accrochage à la sortie du wc. Les vecteurs à l'intérieur des SnapPoints apparaissent sur le modèle sous forme de points blancs:
FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]

Arch pipe example 02.jpg

Arch pipe example 03.jpg

  • Maintenant vous pouvez créer vos tubes en utilisant les fonctions Draft Lignes, Draft Files ou Esquisses. La meilleure solution est d'utiliser uniquement Draft Lignes:

Arch pipe example 04.jpg

  • Il y a maintenant un nouvel outil Draft Pente qui permet de donner une pente aux lignes, par exemple: 5% (0.05). Nous pouvons donc donner facilement une pente aux tubes de décharge. Seul la coordonnée Z est changée avec cet outil, il faut donner le départ et la fin, la coordonnées de départ (haut) reste inchangé.

Arch pipe example 05.jpg

  • Maintenant nous n'avons qu'a sélectionner les lignes et cliquer sur le bouton Arch Tuyau. Arch Tuyau travaille avec n'importe quel objet ligne et seulement avec des lignes ouvertes.

Arch pipe example 06.jpg

  • Vous pouvez maintenant créer des connexions avec deux ou trois tubes coïncidents en cliquant sur le bouton Arch Connecteur. Si vous sélectionnez trois tubes, deux tubes doivent être alignés pour créer un élément de départ:

Arch pipe example 07.jpg

  • Changer le rayon de courbure ne modifie pas la longueur résultante du tracé des tubes (pour changer la résultante, vous devez changer le départ et l'arrivée des tubes). Vous pouvez donc tracer votre chemin de lignes sans vous soucier des courbes et rayon des coudes.

Il est aussi possible de créer un tube sans ligne de base, dans ce cas utilisez la propriété "Length" pour définir la longueur.

Script

Voir aussi: API and Débuter avec les scripts.

L'outil Tube peut être utilisé dans une macro et depuis la console Python en utilisant la fonction suivante :

Pipe = makePipe(baseobj=None, diameter=0, length=0, placement=None, name="Pipe")
  • Creates a Pipe object from the given baseobj and diameter.
    • baseobj is a Draft Line or Draft Wire.
    • If baseobj is omitted, a straight pipe can be created with just the diameter and the length in the Z direction.
  • If a placement is given, it is used.
import Draft, Arch

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2500, 200, 0)
p3 = FreeCAD.Vector(3100, 1000, 0)
p4 = FreeCAD.Vector(3500, 500, 0)
Line = Draft.makeWire([p1, p2, p3, p4])

Pipe = Arch.makePipe(Line, 200)
FreeCAD.ActiveDocument.recompute()

Pipe2 = Arch.makePipe(diameter=120, length=3000)
FreeCAD.ActiveDocument.recompute()